
#include "config.h"

#ifdef FIXED_POINT

#define COEF_BITS	28
#define REAL_BITS	14
#define FRAC_BITS	31
#define FRAC_SIZE	32
#define Q2_BITS		22

#define FIX_MUL(NAME, BITS)					\
	TEXT	NAME (SB),$0 ;					\
	MOVL	y+4(FP),AX ;					\
	IMULL	x+0(FP) ;						\
	ADDL	$(1 << ((BITS)-1)),AX ;		 	\
	ADCL	$0,DX ;							\
	SHRL	$(BITS),AX ;					\
	SHLL	$(32-(BITS)),DX ;				\
	ORL		DX,AX ;							\
	RET	, ;

FIX_MUL(MUL_R, REAL_BITS)
FIX_MUL(MUL_C, COEF_BITS)
FIX_MUL(MUL_Q2, Q2_BITS)
FIX_MUL(MUL_SHIFT6, 6)
FIX_MUL(MUL_SHIFT23, 23)

TEXT	MUL_F+0(SB),0,$0
	MOVL	y+4(FP),AX
	IMULL	x+0(FP)
	MOVL	DX,AX
	SALL	$((FRAC_SIZE-FRAC_BITS)),AX
	RET	,

TEXT	_MulHigh+0(SB),0,$0
	MOVL	y+4(FP),AX
	IMULL	x+0(FP)
	MOVL	DX,AX
	RET	,

/* This is just the output of pcc -S, not optimised yet */
TEXT	ComplexMult+0(SB),0,$12
	MOVL	x2+12(FP),CX
	MOVL	CX,(SP)
	MOVL	c2+20(FP),CX
	MOVL	CX,4(SP)
	CALL	,_MulHigh+0(SB)
	MOVL	AX,.safe+-4(SP)
	MOVL	x1+8(FP),CX
	MOVL	CX,(SP)
	MOVL	c1+16(FP),CX
	MOVL	CX,4(SP)
	CALL	,_MulHigh+0(SB)
	ADDL	.safe+-4(SP),AX
	ADDL	AX,AX
	MOVL	y1+0(FP),CX
	MOVL	AX,(CX)
	MOVL	x1+8(FP),CX
	MOVL	CX,(SP)
	MOVL	c2+20(FP),CX
	MOVL	CX,4(SP)
	CALL	,_MulHigh+0(SB)
	MOVL	AX,.safe+-4(SP)
	MOVL	x2+12(FP),CX
	MOVL	CX,(SP)
	MOVL	c1+16(FP),CX
	MOVL	CX,4(SP)
	CALL	,_MulHigh+0(SB)
	SUBL	.safe+-4(SP),AX
	ADDL	AX,AX
	MOVL	y2+4(FP),CX
	MOVL	AX,(CX)
	RET		,


END	,

#endif
