
#include "config.h"

#ifdef FIXED_POINT

#define COEF_BITS	28
#define REAL_BITS	14
#define FRAC_BITS	31
#define FRAC_SIZE	32
#define Q2_BITS		22

#define FIX_MUL(NAME, BITS)					\
	TEXT	NAME (SB),$0 ;					\
	MOVW	4(FP), R1 ;						\
	MULL	R0, R1, (R4, R5) ;				\
	MOVW	$(1 << ((BITS)-1)), R0 ;		\
	MOVW	$0, R1 ;						\
	ADD.S	R5, R0, R5 ;					\
	ADC		R4, R1, R4 ;					\
	SRL		$BITS, R5 ;						\
	ORR		R4<<(32-BITS), R5, R0 ;			\
	RET		,

FIX_MUL(MUL_R, REAL_BITS)
FIX_MUL(MUL_C, COEF_BITS)
FIX_MUL(MUL_Q2, Q2_BITS)
FIX_MUL(MUL_SHIFT6, 6)
FIX_MUL(MUL_SHIFT23, 23)

TEXT	_MulHigh (SB),$0
	MOVW	4(FP), R1
	MULL	R0, R1, (R4, R5)
	MOVW	R4, R0
	RET		,

TEXT	MUL_F (SB),$0
	MOVW	4(FP), R1
	MULL	R0, R1, (R4, R5)
	SRL		$FRAC_BITS, R5
	ORR		R4<<(32-FRAC_BITS), R5, R0
	RET		,

/* This is just the output of pcc -S, not optimised yet */
TEXT	ComplexMult+0(SB),0,$12
	MOVW	x2+12(FP),R7
	MOVW	c2+20(FP),R6
	MOVW	R0,y1+0(FP)
	MOVW	R7,R0
	MOVW	R6,8(R13)
	BL	,_MulHigh+0(SB)
	MOVW	x1+8(FP),R7
	MOVW	c1+16(FP),R6
	MOVW	R0,.safe-4(SP)
	MOVW	R7,R0
	MOVW	R6,8(R13)
	BL	,_MulHigh+0(SB)
	MOVW	y1+0(FP),R8
	MOVW	c2+20(FP),R7
	MOVW	x1+8(FP),R6
	MOVW	.safe-4(SP),R4
	ADD	R4,R0,R3
	SLL	$(FRAC_SIZE-FRAC_BITS),R3
	MOVW	R3,0(R8)
	MOVW	R6,R0
	MOVW	R7,8(R13)
	BL	,_MulHigh+0(SB)
	MOVW	x2+12(FP),R7
	MOVW	c1+16(FP),R6
	MOVW	R0,.safe-4(SP)
	MOVW	R7,R0
	MOVW	R6,8(R13)
	BL	,_MulHigh+0(SB)
	MOVW	y2+4(FP),R6
	MOVW	.safe-4(SP),R5
	SUB	R5,R0,R4
	SLL	$(FRAC_SIZE-FRAC_BITS),R4
	MOVW	R4,0(R6)
	RET		,
	END		,

#endif
