#include "config.h"

#ifdef FIXED_POINT

#define COEF_BITS	28
#define REAL_BITS	14
#define FRAC_BITS	31
#define FRAC_SIZE	32
#define Q2_BITS		22


int
MUL_R(int x, int y)
{
	return ((long long)x * (long long)y + (1<<(REAL_BITS-1))) >> REAL_BITS;
}

int
MUL_C(int x, int y)
{
	return ((long long)x * (long long)y + (1<<(COEF_BITS-1))) >> COEF_BITS;
}

int
MUL_Q2(int x, int y)
{
	return ((long long)x * (long long)y + (1<<(Q2_BITS-1))) >> Q2_BITS;
}

int
MUL_SHIFT6(int x, int y)
{
	return ((long long)x * (long long)y + (1<<(6-1))) >> 6;
}

int
MUL_SHIFT23(int x, int y)
{
	return ((long long)x * (long long)y + (1<<(23-1))) >> 23;
}

#ifdef NOT

int
MUL_F(int a, int b)
{
	return ((long long)(a) * (long long)(b)) >> FRAC_BITS;
}

int
_MulHigh(int a, int b)
{
	return ((long long)(a) * (long long)(b)) >> 32;
}

void ComplexMult(int *y1, int *y2, int x1, int x2, int c1, int c2)
{
	*y1 = (_MulHigh(x1, c1) + _MulHigh(x2, c2)) << (FRAC_SIZE-FRAC_BITS);
	*y2 = (_MulHigh(x2, c1) - _MulHigh(x1, c2)) << (FRAC_SIZE-FRAC_BITS);
}
#endif

#endif

