enum {
	Nconn = 8,			/* max simultanious HTTP connections */
};

typedef vlong Seq;
typedef struct Sess Sess;
typedef struct Chunk Chunk;
typedef struct Sublist Sublist;
typedef struct Playlist Playlist;

struct Sess {
	char *webfs;		/* mountpoint of webfs */
	int net[Nconn];		/* network file descriptors */
	int conid[Nconn];	/* network connection IDs */
	int dec;			/* file descriptor - pipe to codec */
	char decpath[128];	/* path of codec */
	Seq seqno;		/* sequence number (HLS) */
};

struct Playlist {
	Chunk *chunks;		/* chunk parsed */
	Seq seqbase;		/* base sequence number (HLS) */
	int immutable;		/* playlist will not change under our feet */
	int isaudio;		/* contains audio urls */
	void *aux;			/* private to parser, used by m3u8.c */
};

struct Chunk {
	Chunk *next;		/* next in file */
	char *url;			/* file/stream/child playlist */
	char *title;		/* song name/program title */
	double secs;		/* duration */
	int rate;			/* bitrate (HLS)*/
	int isaudio;		/* is audio url (HLS) */
	vlong start;		/* start of byterange (HLS) */
	vlong end;			/* end of byterange (HLS) */
	void *aux;			/* private to parser, used by pls.c */
};

extern char *Debug;

