enum {
	Nconn = 8,			/* max simultanious HTTP connections */
};

typedef struct Sess Sess;
typedef struct Chunk Chunk;
typedef struct Playlist Playlist;

struct Sess {
	char *webfs;		/* mountpoint of webfs */
	int net[Nconn];		/* network file descriptors */
	int conid[Nconn];	/* network connection IDs */
	int dec;			/* file descriptor - pipe to codec */
	char decpath[128];	/* path of codec */
	vlong seqno;		/* sequence number */
};

struct Chunk {
	Chunk *next;		/* next in file */
	char *url;			/* sic */
	char *title;		/* song/program title */
	double secs;		/* duration in fractions of a second */
	void *aux;			/* private to parser */
	int reset;			/* reset codec (e.g. bitrate about to change) */
};

struct Playlist {
	Chunk *chunks;		/* chunk parsed */
	Chunk **tail;		/* tail of chunk list, makes append quicker */
	vlong seqno;		/* sequence number */
	double ctime;		/* creation time including fraction seconds */
	void *aux;			/* private to parser */
};

extern int Debug;

